//*******************************************************************************************************
// Demo code to be used with a receiving APP coded with AI2 
// Date 04/07/2025
// Rev 1.0
// Author Uskiara
// To be installed on an ESP32 Dev module
//*******************************************************************************************************
//==============================================================================================================

#include <Arduino.h>
#include <BluetoothSerial.h>

BluetoothSerial SerialBT;

unsigned int count = 0;


void setup() 
{
  Serial.begin(115200);             // to PC monitor
  SerialBT.begin("ClassicBt");      // Name of BT Interface to be recognized by the Android device running the app          
 }


 void loop()
 { 
      char scount[10];
      SerialBT.println("%.Lorem ipsum dolor sit amet, consectetur adipiscing elit");
      MyDelay(500UL);             // give a breath to the receiver
      SerialBT.println("%(sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      MyDelay(500UL);             // give a breath to the receiver
      SerialBT.println("%{Quousque tandem Catilina abutere patientia nostra ?");  
      MyDelay(1000UL);            // give a breath to the receiver
      Serial.println(count += 1);
      sprintf(scount,"%u",count); // how many transmissions done
      SerialBT.println(scount);
      MyDelay(500UL);             // give a breath to the receiver
 }

 void MyDelay (unsigned long timeout)         // this custom delay avoids the CPU complete stop while using the standard delay() function
 {
  unsigned long now = millis();
  while( (millis()-now) < timeout) ;
 }

